WordPress.org

Plugin Directory

Issuu PDF Sync

Allow to create PDF Flipbooks with the http://issuu.com service.

How to get an Issuu API Key ?

You need to go to http://issuu.com and to create an account. Then go to the http://issuu.com/user/settings?services=true#services page and create a new application

I can't see my PDF files in the dropdown list

You may have configured the plugin after having uploaded some PDF. In this, case, you'll have to edit each of them and click to the sync link. We don't have a resync all function yet You may have used the media button right now, in this post. Save the post, and you'll see the PDF after refreshing You may have not used the official media library. It will not work if you have uploaded PDF's with your FTP software for example You may have a communication problem with Issuu, especially if you use a htaccess file to deny the access to your site

How to use the shortocde ?

Click to the media button, choose a PDF document and click on the Issuu PDF button to insert the basic shortcode

If you want to add params for a specific PDF, you can follow these examples:

[pdf issuu_pdf_id="id_of_your_PDF" width="500" height="300"]

In this example, we want to specify a width and a height only for this PDF

[pdf issuu_pdf_id="id_of_your_PDF" layout="browsing" autoFlip="true" autoFlipTime="4000"]

In this other example, we want to specify the browsing layout (one page presentation) and we want the PDF pages to autoflip each 4 seconds

You will see all avaliable params inside the plugin option pannel

= I choose another skin but it doesn't work. why ?

As mentioned in the installation steps, you first need to copy the crossdomain.xml file located in the root folder of the plugin to the root folder of your website.

How to customize buttons labels ?

If you want to make some customisation in the Issuu player, you need to copy the 'issuu-skins' folder into your theme. Then, you'll be able to work on the skins.fla file or on the layout.xml file within your theme.

Requires: 3.1 or higher
Compatible up to: 4.1.1
Last Updated: 2015-3-4
Active Installs: 5,000+

Ratings

2.7 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,2,2 100,1,1 100,2,2 100,1,1
100,1,1
100,3,3
100,1,1
100,1,1 100,1,1 100,1,1
0,1,0
33,3,1
100,1,1 100,2,2
0,1,0
0,1,0
0,1,0
100,1,1